@keyframes flash {
    0%, 50% { opacity: 1; }
    50.01%, 100% { opacity: 0; }
}

.flash {
    animation: flash 1s infinite;
}

button {
    border-radius: 5px;
}

.back-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #4CAF50;
    color: white;
    padding: 12px 16px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: none;
    box-shadow: 0 4px 6px rgba(0,0,0,0.2);
    transition: background-color 0.3s ease;
    z-index: 999;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.back-button:hover {
    background-color: #388e3c;
}


@keyframes fadeInShrink {
    0% {
        opacity: 0;
        transform: scale(1.5);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

.place {
    animation: fadeInShrink 1s forwards;
}

p {
    font-size: 1.5em;
    font-weight: bold;
    color: #333;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.HIDE {
    display: none;
}

.newButton{
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 30px;
    cursor: pointer;
    
}

img {
    width: 25%;
    height: auto;
}

.placeflash {
    animation: fadeInShrink 1s forwards, flash 1s infinite 1s;
}


.github-button {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1000;
    display: inline-block;
    width: 40px;
    height: 40px; 
    background-color: transparent;
}

.github-button:hover {
    background-color: transparent;
    cursor: pointer;
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    transition: box-shadow 0.2s ease;
}

.github-button img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    transition: transform 0.2s ease;
}

.github-button:hover img {
    transform: scale(1.1);
}